Get CDRI Index
Retrieves historical CDRI (CoinGlass Derivatives Risk Index) providing a 0-100 risk score for derivatives market. Higher values indicate elevated risk levels in the derivatives market. Ideal for: risk management, market timing, identifying high-risk periods, portfolio hedging decisions.
Catalog action Blockchain Data
Retrieves historical CDRI (CoinGlass Derivatives Risk Index) providing a 0-100 risk score for derivatives market. Higher values indicate elevated risk levels in the derivatives market. Ideal for: risk management, market timing, identifying high-risk periods, portfolio hedging decisions.
At a Glance
| Field | Value |
|---|---|
| Action ID | coinglass-indicator-get-cdri-index |
| Category | Blockchain Data |
| Connector | Not required |
| Requires gas | No |
| Funds movement | None declared |
| Tags | coinglass, indicator, cdri, risk, derivatives, read |
Payload Schema
This action does not declare payload fields.
Result Schema
| Field | Type | Required | Description |
|---|---|---|---|
dataPoints | array | Yes | Array of CDRI Index data points. |
Examples
json{ "type": "coinglass-indicator-get-cdri-index", "payload": {}, "children": []}
bashcurl -X POST "https://api.b3os.org/v1/actions/coinglass-indicator-get-cdri-index/test" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "inputs": {}}'
Payload fields can use workflow expressions such as {{$trigger.body.amount}}, {{$nodes.fetch.result.price}}, and {{$props.asset}} when the value should come from a trigger, prior node, or reusable workflow prop.
